html,
body {
    margin: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
}

body {
    overflow: hidden;
}

canvas {
    display: block;
}

/*================*/
/* player */
/*================*/
.debugDiv {
    width: 100%;
    height: 100%;
    z-index: 10;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

@media screen and (min-width: 500px) {
    .debugDiv {
        width: 100%;
        height: 100%;
        z-index: 10;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        font-size: 30px;
    }
}

/*================*/
/* display main controller */
/*================*/
.main-container {
    position: absolute;
    width: 90%;
    height: 90%;
    border: solid 1px white;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.zone {
    position: absolute;
    border: 1px black solid;
    border-radius: 10%;
    background-color: darkkhaki;
    width: 20%;
    height: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: xx-small;
}

.zone0 {
    /* background-color: rgb(139, 153, 254); */
    left: 2%;
    top: 2%;
}

.zone1 {
    /* background-color: black; */
    left: 34%;
    top: 2%;
}

.zone2 {
    left: 68%;
    top: 2%;
}

.zone3 {
    left: 2%;
    top: 35%;
}

.zone4 {
    left: 34%;
    top: 35%;
}

.zone5 {
    left: 68%;
    top: 35%;
}

.zone6 {
    left: 2%;
    top: 68%;
}

.zone7 {
    left: 34%;
    top: 68%;
}

.zone8 {
    left: 68%;
    top: 68%;
}

.device {
    position: absolute;
    width: 70px;
    height: 100px;
    border: 1px black dotted;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-size: xx-small;
    color: white;
    user-select: none;
}

.deviceDivIcon {
    border-radius: 5px;
    background-color: white;
    user-select: none;
}

.deviceDivIcon > * {
    pointer-events: none;
}

.deviceImgIcon {
    width: auto;
}

.luminance {
    background-color: rgb(139, 153, 254);
}

.sound {
    background-color: rgb(255, 60, 60);
}

.vibration {
    background-color: rgb(71, 163, 91);
}

/*================*/
/* allow to scroll within fixed view */
/*================*/
.controller {
    overflow: scroll;
    height: 100%;
}

.debugToggle {
    background-color: #00ff00;
}

.debugDisplay {
    color: #00ff00;
}